import WorkspaceElement from './WorkspaceElement';
import Line from './Line';
import PositionType from './PositionType';
import StyleAttributes from './StyleAttributes';
import PolyLinePeer from './peer/svg/PolyLinePeer';
declare class PolyLine extends WorkspaceElement<PolyLinePeer> implements Line {
    constructor(attributes?: StyleAttributes);
    getElementClass(): PolyLine;
    getTo(): PositionType;
    getFrom(): PositionType;
    setIsSrcControlPointCustom(value: boolean): void;
    setIsDestControlPointCustom(value: boolean): void;
    setDashed(v: number, v2: number): void;
    setSrcControlPoint(value: PositionType): void;
    setDestControlPoint(value: PositionType): void;
    isDestControlPointCustom(): boolean;
    isSrcControlPointCustom(): boolean;
    getControlPoints(): [PositionType, PositionType];
    getType(): string;
    setFrom(x: number, y: number): void;
    setTo(x: number, y: number): void;
    setStyle(style: string): void;
    getStyle(): string;
    buildCurvedPath(dist: number, x1: number, y1: number, x2: number, y2: number): any;
    buildStraightPath(dist: number, x1: number, y1: number, x2: number, y2: number): string;
}
export default PolyLine;
